################################################################################
#
#  Licensed Materials - Property of IBM
#  5698-B34  Copyright IBM Corp. 2008, 2011
#  All rights reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#    File: tivoli_eif/zOSEventSupport_copy.sh, OMNIbus, EventPump422
#    SID: 1.6
#    Date Modified: 11/11/28 04:58:48
#
#  Change History:
#    YY/MM/DD        Description
#    --------        -----------------------------------------------------------
#    09/03/11        Initial IBM Tivoli Event Pump for z/OS V4.2.0
#    11/04/15        OA35980, Tivoli Netcool/OMNIbus 7.3 support
#    11/11/28        OA37991, Tivoli EIF Probe master rules file support
#
################################################################################
#
#  This script file copies installation files from the DVD image to
#  the $NCHOME/omnibus/etc/EventPump directory.
#
################################################################################

if [ "$NCHOME" != "" ]
then
  if [ -d "$NCHOME/omnibus/etc/EventPump" ]
  then
    count=0
  else
    mkdir "$NCHOME/omnibus/etc/EventPump"
  fi
  if [ -d "$NCHOME/omnibus/etc/EventPump" ]
  then
    cp *.sh "$NCHOME/omnibus/etc/EventPump"
    cp *.rules "$NCHOME/omnibus/etc/EventPump"
    cp zos_files/*.sql "$NCHOME/omnibus/etc/EventPump"
    cp zos_files/*.rules "$NCHOME/omnibus/etc/EventPump"
    cp zos_files/*.lookup "$NCHOME/omnibus/etc/EventPump"
    echo "Files copied"
  else
    echo "The EventPump path does not exist"
  fi
else
  echo "The environment variable NCHOME is not defined"
fi
